Description

All attemps to connect to postgis fail. How do the parameters need to be specified, compared to previous versions (1.11/1.12)? The
geodb manager is missing, no selection of existing connections possible. The GUI interface for specifying db connections is not
translated into english language.

History

#1 - 12/05/2012 11:41 AM - Juan Lucas Dominguez
- File conn_example.jpg added

- Status changed from New to Awaiting response

- Assignee set to Juan Lucas Dominguez

Added translations ( gvsig-desktop:r39398 ). They will be available in gvSIG 2.0.0 2061

Hello Klaus,

| have used a PostGIS connection correctly.

Your log file says that the host is unknown (in theory, it's a wrong IP or wrong host name)

You can see an image attached that shows how to use the dialogs (conn_example.jpg). The "connections manager" is not available in gvSIG 2.0.0 but

there is not much difference. Connections are opened and closed as the application needs them.

Where you able to connect to that host from gvSIG 1.12 or from another application?

#2 - 12/07/2012 01:46 PM - Joaquin del Cerro Murciano

- Target version changed from 2.0.0-rc1 to 2.0.0-final

#3 - 12/10/2012 09:24 AM - Klaus Schaefer

- File gvSIG.log added

- File gvSIG1-2-0-postgis-issue.pdf added

Hello Juan,

thanks a lot!!! | could now connect successfully!
However, | usually used to restrict the SQL with the syntax "where cc_east notnull and cc_east > 0". In 1.11 and 1.12 this workes fine. In 2.0 it does

not work, no data is returned. At the first try | received an error message and no rows were returned. Repeating the action again just returned no rows,

without error message.

Without SQL-restriction the adding of the geodb layer works fine!

Can you have a look at it? Log file and screensho attached.

Thanks a lot!

Klaus

#4 - 12/10/2012 09:36 AM - Klaus Schaefer

| just looked a little bit deeper into the logfile and found out that the "where" statement needs to be removed from the syntax as it seems to be already

included in the internal synatx body. Just specifying "cc_east notnull and cc_east > 0" does the job.

That is different from 1.11 and 1.12, where the "where"-clause needs to be defined in the restriction sq| itself.

Best regards
Klaus

#5 - 12/13/2012 07:41 PM - Juan Lucas Dominguez
- Status changed from Awaiting response to Fixed

Yes, | think it's better this way (without the word WHERE). Thanks for your interest.

#6 - 12/14/2012 12:25 PM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-final to 2.0.0-rc2

#7 - 02/26/2014 12:35 PM - Alvaro Anguix

- Status changed from Fixed to Closed
